# TCountedRenderingCallbacks Class Reference

Inheritance diagram for TCountedRenderingCallbacks:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | QueryInterface (const MCIID &riid, void **ppvObj)
virtual uint32 MCCOMAPI | AddRef ()
virtual uint32 MCCOMAPI | Release ()
virtual MCCOMErr MCCOMAPI | UpdateProgress (real progress, real progressMax)
virtual MCCOMErr MCCOMAPI | RectCompleted (const TMCRect &rect)
virtual MCCOMErr MCCOMAPI | BeginAnimation ()
virtual MCCOMErr MCCOMAPI | EndAnimation ()
virtual MCCOMErr MCCOMAPI | BeginFrame (uint32 frameNumber)
virtual MCCOMErr MCCOMAPI | EndFrame (uint32 frameNumber)
virtual MCCOMErr MCCOMAPI | BeginRendering ()
virtual MCCOMErr MCCOMAPI | EndRendering ()
virtual void MCCOMAPI | SetRenderHelper (I3DRenderHelper *renderHelper)
## Protected Attributes
TMCCountedPtr< I3DRenderHelper > | fRenderHelper

## Detailed Description

see I3DRenderingCallbacks for more info.

## Member Function Documentation

virtual uint32 MCCOMAPI TCountedRenderingCallbacks::AddRef | ( |  | ) | `[inline, virtual]`

Increments the reference count of the object

Reimplemented from TMCSMPCountedObject.

virtual MCCOMErr MCCOMAPI TCountedRenderingCallbacks::BeginAnimation | ( |  | ) | `[virtual]`

Called at the begining of the rendering of an animation.

Implements I3DRenderingCallbacks.

virtual MCCOMErr MCCOMAPI TCountedRenderingCallbacks::BeginFrame | ( | uint32 | frameNumber | ) | `[virtual]`

Called at the beginning of the rendering of one frame.

Parameters:

  | frameNumber | The number of the frame.

Implements I3DRenderingCallbacks.

virtual MCCOMErr MCCOMAPI TCountedRenderingCallbacks::BeginRendering | ( |  | ) | `[virtual]`

Called at the beginning of the rendering.

Implements I3DRenderingCallbacks.

virtual MCCOMErr MCCOMAPI TCountedRenderingCallbacks::EndAnimation | ( |  | ) | `[virtual]`

Called at the end of the rendering of an animation.

Implements I3DRenderingCallbacks.

virtual MCCOMErr MCCOMAPI TCountedRenderingCallbacks::EndFrame | ( | uint32 | frameNumber | ) | `[virtual]`

Called at the end of the rendering of one frame.

Parameters:

  | frameNumber | The number of the frame.

Implements I3DRenderingCallbacks.

Reimplemented in TBasicPreviewCallbacks.

virtual MCCOMErr MCCOMAPI TCountedRenderingCallbacks::EndRendering | ( |  | ) | `[virtual]`

Called at the emd of the rendering.

Implements I3DRenderingCallbacks.

virtual MCCOMErr MCCOMAPI TCountedRenderingCallbacks::QueryInterface | ( | const MCIID & | riid,
|  | void ** | ppvObj |
| ) |  |  | `[virtual]`

Check if the object supports a given interface and returns a pointer to that interface if it does. Note that QueryInterface will increment the reference count of the object by one if the interface is found.

Parameters:

  | riid | GUID of the interface
  | ppvObj | A pointer to the pointer being returned.

Reimplemented from TMCSMPCountedObject.

virtual MCCOMErr MCCOMAPI TCountedRenderingCallbacks::RectCompleted | ( | const TMCRect & | rect | ) | `[virtual]`

Called each time a tile is completely rendered.

Parameters:

  | rect | The rectangle of the tile in the image in pixels.

Implements I3DRenderingCallbacks.

Reimplemented in TBasicPreviewCallbacks.

virtual uint32 MCCOMAPI TCountedRenderingCallbacks::Release | ( |  | ) | `[inline, virtual]`

Decrements the reference count of the object. If the reference count reaches zero, the object is destroyed.

Reimplemented from TMCSMPCountedObject.

virtual void MCCOMAPI TCountedRenderingCallbacks::SetRenderHelper | ( | I3DRenderHelper * | renderHelper | ) | `[virtual]`

Sets the renderHelper used for the current rendering

Implements I3DRenderingCallbacks.

virtual MCCOMErr MCCOMAPI TCountedRenderingCallbacks::UpdateProgress | ( | real | progress,
|  | real | progressMax |
| ) |  |  | `[virtual]`

Called each time the rendering progress bar should be updated.

Parameters:

  | progress | Between 0 and progressMax.
  | progressMax | The value of the progres when the rendering is finished.

Implements I3DRenderingCallbacks.

Reimplemented in TBasicPreviewCallbacks.

## Member Data Documentation

TMCCountedPtr<I3DRenderHelper> TCountedRenderingCallbacks::fRenderHelper`[protected]`

Reimplemented in TBasicPreviewCallbacks.

The documentation for this class was generated from the following file:

- CountedRenderingCallback.h